MLAPI API Reference

# BinarySerializer
Deserialize
T
Method

[This is preliminary documentation and is subject to change.]

Deserializes binary and turns it back into the original class

Namespace: MLAPI.NetworkingManagerComponents.Binary
Assembly: MLAPI (in MLAPI.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
Copy

    public static T Deserialize<T>(
    	byte[] binary
    )
    where T : new()

Request Example
View Source

#### Parameters

binary
  Type:
  System
  Byte
  The binary to deserialize

#### Type Parameters

T
  The type to return

#### Return Value

Type: T
An instance of T
See Also

#### Reference

BinarySerializer Class
MLAPI.NetworkingManagerComponents.Binary Namespace